#include<iostream>
#include<cmath>
using namespace std;
long long N;
double a[200000],maksp,p[200000],odsvakog[20000],z,x;
int main(){
	cin.tie(NULL);
	cout.tie(NULL);
	cin>>N;
	for(int i=0;i<N;i++){
		cin>>a[i]>>p[i];
		odsvakog[i]=a[i]*(p[i]/100);
	}
	maksp=0;
	z=0;
	for(int i=0;i<N;i++){
		for(int j=0;j<N;j++)if(p[i]<=p[j])z+=a[j];
		x=z*p[i]/100;
		//cout<<x<<endl;
		if(x>maksp)maksp=x;
		z=0;
	}
	cout<<maksp;
	return 0;
}